-- v 1.0

-- phpMyAdmin SQL Dump
-- version 3.5.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas wygenerowania: 03 Sty 2014, 15:26
-- Wersja serwera: 5.5.21-log
-- Wersja PHP: 5.4.10

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Struktura tabeli dla tabeli `_prefix_articles`
--

CREATE TABLE IF NOT EXISTS `_prefix_articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `site_id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `text` text NOT NULL,
  `warnings_count` int(11) NOT NULL,
  `warnings_old_count` int(11) NOT NULL,
  `plagiarisms_count` int(11) NOT NULL,
  `plagiarism_percent` float(9,2) NOT NULL,
  `plagiarism_mix_percent` float(9,2) NOT NULL,
  `sentence_count` int(11) NOT NULL,
  `sentence_mix_count` int(11) NOT NULL,
  `article_on_site` int(1) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `date_check` date NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Struktura tabeli dla tabeli `_prefix_options`
--

CREATE TABLE IF NOT EXISTS `_prefix_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `n01` int(11) NOT NULL,
  `n02` int(11) NOT NULL,
  `n03` int(11) NOT NULL,
  `c01` varchar(1000) NOT NULL,
  `c02` varchar(1000) NOT NULL,
  `c03` varchar(1000) NOT NULL,
  `d01` date NOT NULL,
  `d02` date NOT NULL,
  `d03` date NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Zrzut danych tabeli `_prefix_options`
--

INSERT INTO `_prefix_options` (`id`, `name`, `n01`, `n02`, `n03`, `c01`, `c02`, `c03`, `d01`, `d02`, `d03`, `timestamp`) VALUES
(1, 'precision', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-16 16:21:52'),
(2, 'cron_on_off', 1, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-12 13:15:14'),
(3, 'days_check', 10, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-12 13:15:18'),
(4, 'email', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-12 14:17:31'),
(5, 'version', 0, 0, 0, '1.0.0', '1.0.0', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-12 14:18:56'),
(6, 'ver', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2014-01-02 21:02:52'),
(7, 'warning_count', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-17 12:02:23'),
(8, 'google_error', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-17 19:26:48'),
(9, 'clean', 0, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-17 15:46:28'),
(10, 'proxy_delete', 1, 0, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-19 12:59:44'),
(11, 'plagiarism_percent', 50, 20, 0, '', '', '', '0000-00-00', '0000-00-00', '0000-00-00', '2013-12-30 11:35:22');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `_prefix_projects`
--

CREATE TABLE IF NOT EXISTS `_prefix_projects` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `sites_count` int(11) NOT NULL DEFAULT '1',
  `articles_count` int(11) NOT NULL DEFAULT '1',
  `warnings_count` int(11) NOT NULL,
  `plagiarisms_count` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Struktura tabeli dla tabeli `_prefix_sentences`
--

CREATE TABLE IF NOT EXISTS `_prefix_sentences` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `site_id` int(11) NOT NULL,
  `article_id` int(11) NOT NULL,
  `sentences_no` int(11) NOT NULL,
  `name` text NOT NULL,
  `type` int(11) NOT NULL,
  `precision` int(11) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `project_id` (`project_id`,`site_id`,`article_id`,`sentences_no`,`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `_prefix_seoproxy`
--

CREATE TABLE IF NOT EXISTS `_prefix_seoproxy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL,
  `time_check` int(11) NOT NULL,
  `google_error` int(11) NOT NULL,
  `google_error_all` int(11) NOT NULL,
  `google_ok` int(11) NOT NULL,
  `http_code` int(11) NOT NULL,
  `average_time` float(9,2) NOT NULL,
  `average_count` int(11) NOT NULL,
  `average` float(9,2) NOT NULL,
  `ok_1` int(11) NOT NULL,
  `ok_2` int(11) NOT NULL,
  `ok_3` int(11) NOT NULL,
  `err_1` int(11) NOT NULL,
  `err_2` int(11) NOT NULL,
  `err_3` int(11) NOT NULL,
  `date_changed` date NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `time_check` (`time_check`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;


--
-- Struktura tabeli dla tabeli `_prefix_sites`
--

CREATE TABLE IF NOT EXISTS `_prefix_sites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `articles_count` int(11) NOT NULL DEFAULT '1',
  `warnings_count` int(11) NOT NULL,
  `plagiarisms_count` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Struktura tabeli dla tabeli `_prefix_warnings`
--

CREATE TABLE IF NOT EXISTS `_prefix_warnings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `site_id` int(11) NOT NULL,
  `article_id` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `precision` int(11) NOT NULL,
  `warning_count` int(11) NOT NULL,
  `warning_percent` float(9,2) NOT NULL,
  `warning_set` int(1) NOT NULL,
  `sentence` text NOT NULL,
  `sentence_all` text NOT NULL,
  `link` text NOT NULL,
  `date` datetime NOT NULL,
  `status` int(11) NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;